---
- name: Host present with random password
  hosts: ipaserver
  become: true

  tasks:
  - name: Host host01.example.com present with random password
    ipahost:
      ipaadmin_password: SomeADMINpassword
      name: host01.example.com
      random: yes
      force: yes
    register: ipahost

  - name: Print generated random password
    ansible.builtin.debug:
      var: ipahost.host.randompassword
